{
  description = "Initialization flake";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    nix-vscode-extensions.url = "github:nix-community/nix-vscode-extensions";

    alacritty-themes.url = "github:rajasegar/alacritty-themes";
    alacritty-themes.flake = false;

    home-manager.url = "github:nix-community/home-manager";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";

    lanzaboote.url = "github:nix-community/lanzaboote";
  };

  outputs = { self, nixpkgs, home-manager, ... }@inputs: {
    nixosConfigurations."codedPC" = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        home-manager.nixosModules.home-manager
        inputs.lanzaboote.nixosModules.lanzaboote
        {
          nix.settings.experimental-features = [ "nix-command" "flakes" ];
          system.stateVersion = "23.05";
        }
      ] ++ (nixpkgs.lib.pipe ./modules [
        (import ./utils/nixFilesIn.nix nixpkgs.lib)
        (map import)
      ]) ++ (nixpkgs.lib.pipe ./homes [
        (import ./utils/nixFilesIn.nix nixpkgs.lib)
        (map import)
      ]);
      specialArgs = { inherit inputs; };
    };
  };
}
